package kr.iotdoor.boot.model.user;

import java.time.LocalDateTime;

public class UserAccount {

    private String userIdntfNo;
    private String userId;
    private String pswd;
    private String userNm;
    private String emlAddr;
    private String userSttsCd;
    private String userTypeCd;
    private LocalDateTime joinDt;
    private LocalDateTime indvdlInfoAgreDt;
    private String lockYn;
    private Integer lgnFailNmtm;
    private LocalDateTime lockDt;
    private LocalDateTime lastLgnDt;

    public String getUserIdntfNo() {
        return userIdntfNo;
    }

    public void setUserIdntfNo(String userIdntfNo) {
        this.userIdntfNo = userIdntfNo;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getPswd() {
        return pswd;
    }

    public void setPswd(String pswd) {
        this.pswd = pswd;
    }

    public String getUserNm() {
        return userNm;
    }

    public void setUserNm(String userNm) {
        this.userNm = userNm;
    }

    public String getEmlAddr() {
        return emlAddr;
    }

    public void setEmlAddr(String emlAddr) {
        this.emlAddr = emlAddr;
    }

    public String getUserSttsCd() {
        return userSttsCd;
    }

    public void setUserSttsCd(String userSttsCd) {
        this.userSttsCd = userSttsCd;
    }

    public String getUserTypeCd() {
        return userTypeCd;
    }

    public void setUserTypeCd(String userTypeCd) {
        this.userTypeCd = userTypeCd;
    }

    public LocalDateTime getJoinDt() {
        return joinDt;
    }

    public void setJoinDt(LocalDateTime joinDt) {
        this.joinDt = joinDt;
    }

    public LocalDateTime getIndvdlInfoAgreDt() {
        return indvdlInfoAgreDt;
    }

    public void setIndvdlInfoAgreDt(LocalDateTime indvdlInfoAgreDt) {
        this.indvdlInfoAgreDt = indvdlInfoAgreDt;
    }

    public String getLockYn() {
        return lockYn;
    }

    public void setLockYn(String lockYn) {
        this.lockYn = lockYn;
    }

    public Integer getLgnFailNmtm() {
        return lgnFailNmtm;
    }

    public void setLgnFailNmtm(Integer lgnFailNmtm) {
        this.lgnFailNmtm = lgnFailNmtm;
    }

    public LocalDateTime getLockDt() {
        return lockDt;
    }

    public void setLockDt(LocalDateTime lockDt) {
        this.lockDt = lockDt;
    }

    public LocalDateTime getLastLgnDt() {
        return lastLgnDt;
    }

    public void setLastLgnDt(LocalDateTime lastLgnDt) {
        this.lastLgnDt = lastLgnDt;
    }
}
